LINUXCONF_REV=1.12
LINUXCONF_SUBREV=5
LINUXCONF_SUBSUBREV=0

LDEVEL=/usr/lib/linuxconf-devel/
SOLUCORP_TOOLS=/usr/lib/solucorp-tools
LIB_LINUXCONF=$(RPM_BUILD_ROOT)/usr/lib/linuxconf
FLAGS=-funsigned-char -g -O2 -Wall 


ifeq ($(LINUXCONF_SUBSUBREV),0)
ifeq ($(LINUXCONF_SUBREV),0)
PACKAGE_REV=$(LINUXCONF_REV)
else
PACKAGE_REV=$(LINUXCONF_REV)r$(LINUXCONF_SUBREV)
endif
else
PACKAGE_REV=$(LINUXCONF_REV)r$(LINUXCONF_SUBREV).$(LINUXCONF_SUBSUBREV)
endif




EGCS=$(shell test -f /usr/bin/egcs && /bin/echo -n 1)
ifeq ($(EGCS),1)
GPPLINK=egcs
GPP=egcs
else
GPP=g++
# Using g++ to link pulls libg++ even if the program does not need it
GPPLINK=gcc
endif

CPP_DEFINES=-Dexport= -DSTATIC= -DEXPORT= -DPUBLIC= -DPROTECTED= -DPRIVATE= -DVIRTUAL= \
	-Dnear= -Dfar=  -D_GNU_SOURCE -DUNIX

.cc.o:
	@echo "    " $<
	@$(GPP) $(FLAGS) $(CPP_DEFINES) -DPACKAGE_REV=\"$(PACKAGE_REV)\" \
		-I../tool -I../etc \
		-I/usr/include/linuxconf -c $< -o $@


lib: $(CURDIR).a

$(CURDIR).a: $(OBJS)
	ar cr $(CURDIR).a $(OBJS)
	ranlib $(CURDIR).a


msg:
	$(LDEVEL)/msgscan $(CURDIR) \
		$(CURDIR).dic $(CURDIR).m EF *.cc

msg.clean:
	$(LDEVEL)/msgclean $(CURDIR).dic
	$(LDEVEL)/msgscan $(CURDIR) \
		$(CURDIR).dic $(CURDIR).m EF *.cc


ifdef DIRS
clean: $(LOCAL_CLEAN)
	rm -f x *.o *.obt *.bak .bak *~ *.a *.old *.log *.nap *.nar core
	@for i in $(DIRS); do make -C $$i clean  || exit 1; done
else
clean: $(LOCAL_CLEAN)
	rm -f x *.o *.obt *.bak *~ *.a *.old *.log *.nap *.nar
endif

install: $(LOCAL_INSTALL) $(LOCAL_POSTINSTALL)

include /usr/lib/linuxconf-devel/stdmod.mak

_dict.o: _dict.cc $(CURDIR).m

